> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend account verification code

> Resends the otp code to confirm the account

<RequestExample>
  ```bash Request theme={null}
  curl --location 
  --request POST 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
  --header 'Authorization: <your_awesome_token>'
  --header 'Content-Type: application/json'
  --data '{
      "phoneNumber": "5216642761707"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="userId" type="string" required>
  Propaga's user id
</ParamField>

<ParamField path="verificationId" type="string" required>
  Verification id generated on the creation of the account verification
</ParamField>

## Body

<ParamField body="phoneNumber" type="string" required />

## Response

<ResponseField name="verificationId" type="string" />

<ResponseField name="verificationId" type="string" />

<ResponseField name="userId" type="string" />

<ResponseField name="cornerStoreId" type="string" />

## Response

<ResponseField name="verificationId" type="string" />

## Error codes

<ResponseField>
  ```json Verification not found (404) theme={null}
  {
      "code": "VERIFICATION_NOT_FOUND",
      "message": "This verification not found"
  }
  ```

  ```json Verification not valid (422) theme={null}
  {
      "code": "VERIFICATION_NOT_VALID",
      "message": "This verification is not valid"
  }
  ```

  ```json User already verified (422) theme={null}
  {
      "code": "USER_IS_VERIFIED",
      "message": "This user is verified"
  }
  ```

  ```json User in internal verification (422) theme={null}
  {
      "code": "USER_IN_MANUAL_VALIDATION",
      "message": "This user information is currently in manual validation"
  }
  ```
</ResponseField>
